MKFS.CRAMFS(8)

NOME
mkfs.cramfs - cria um sistema de arquivos comprimido de ROM

SINOPSE

mkfs.cramfs [opções] diretório arquivo

DESCRIÇÃO

Os arquivos em sistemas de arquivos cramfs são compactados com zlib uma página por vez para permitir acesso de leitura aleatório. Os metadados não são compactados, mas são expressos em uma representação concisa que é mais eficiente em termos de espaço do que os sistemas de arquivos convencionais.

O sistema de arquivos é intencionalmente somente leitura para simplificar seu design; o acesso de escrita aleatório para arquivos compactados é difícil de implementar. cramfs vem com um utilitário (mkcramfs(8)) para compactar arquivos em novas imagens cramfs.

Os tamanhos dos arquivos são limitados a menos de 16 MB.

O tamanho máximo do sistema de arquivos é um pouco menos de 272 MB. (O último arquivo no sistema de arquivos deve começar antes do bloco de 256 MB, mas pode se estender além dele.)

ARGUMENTOS

O diretório é simplesmente a raiz da árvore de diretórios a partir da qual queremos gerar um sistema de arquivos compactado.

O arquivo conterá o sistema de arquivos cram, que mais tarde pode ser montado.

OPÇÕES

-v
    Habilita mensagens mais detalhadas.

-E
    Trata todos os avisos como erros, os quais são refletidos como status de saída de comando.

-b tamanho-bloco
    Usa o tamanho de bloco definido, o qual deve ser divisível pelo tamanho de páginas.

-e edição
    Usa o número de edição do sistema de arquivos definido no superbloco.

-N big, little, host
    Usa o nível de endian (extremidade) definido. O valor tem como padrão host.

-i arquivo
    Insere um arquivo no sistema de arquivos cramfs.

-n nome
    Define o nome do sistema de arquivos cramfs.

-p
    Preenche em 512 bytes para código de inicialização.

-s
    Esta opção é ignorada. Originalmente, a opção -s ativava a classificação de entrada de diretórios.

-z
    Torna buracos explícitos.

-l[=mode]
    Use exclusive BSD lock for device or file it operates. The optional argument mode can be yes, no (or 1 and 0) or nonblock. If the mode argument is omitted, it defaults to "yes". This option overwrites environment variable $LOCK_BLOCK_DEVICE. The default is not to use any lock at all, but it’s recommended to avoid collisions with udevd or other tools.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Imprime a versão e sai.

STATUS DE SAÍDA

0
    sucesso

8
    erro de operação, como não ter conseguido alocar memória

VEJA TAMBÉM

fsck.cramfs(8), mount(8)

RELATANDO PROBLEMAS

For bug reports, use the issue tracker at

DISPONIBILIDADE

O comando mkfs.cramfs é parte do pacote util-linux que pode ser baixado do